plugins {
    id 'com.android.application'
}

android {
    compileSdkVersion 33

    signingConfigs {
        release {
            storeFile file('Antifraud.jks')
            storePassword 'mhHsqYMm'
            keyAlias 'key0'
            keyPassword 'mhHsqYMm'
        }
    }

    defaultConfig {
        applicationId "com.hicorenational.antifraud"
        minSdkVersion 16
        targetSdkVersion 33
        versionCode 18901
        versionName "2.0.11"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled true
            shrinkResources true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.9.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.5'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'

    implementation 'androidx.navigation:navigation-fragment:2.3.1'
    implementation 'androidx.navigation:navigation-ui:2.3.1'
}